EN

2019 42. Hafta Siber Güvenlik Haberleri

25 Ekim 2019

SİBER GÜVENLİK GÜNDEMİ

42.Hafta Siber Güvenlik Haberleri

Haber Yazısı 1

APPLE TARAYICI VERİLERİNİ ÇİN İNTERNET ŞİRKETİ TENCENTE GÖNDERİYOR

TARİH: 14 Ekim 2019

Apple, iOS 12.2'den başlayarak, Apple Safari web tarayıcısına Tencent Safe Browsing (Tencent Güvenli Tarama) hizmetini, Sahte Web Sitesi Uyarısı özelliğine hem iOS hem de MacOS için ekledi.

Chrome ve Mozilla Firefox’taki Güvenli Tarama özelliği gibi, Safari’nin sahte web sitesi uyarısı özelliği de kullanıcının ziyaret ettikleri web sitelerini düzenli olarak güncellenen kötü amaçlı web siteleri listesine göre kontrol ederek kullanıcıları çeşitli çevrimiçi tehditlere karşı korumak için tasarlanmıştır.

İOS 12.2 sürümüne kadar olanlar, Google’ın Güvenli Tarama servisindeki Kara listeye alınmış web siteleri veri tabanına dayanırdı. Bu şekilde Google hangi web sitesini gezdiğinizi ve tarayıcı geçmişsini saklamak için ip adresini öğrenebilir. Apple aynı ayrıcalıkları Çinli şirket olan Tencent’e vermiş durumdadır. Apple her iki hizmetin de ziyaret ettiğiniz URL’leri doğrudan görüntülemesini kısıtlasa da Tencent ve Google’ın IP adresinizi kaydetmesine ve URL’lerinize matematiksel olarak benzeyen bir dizi siteyi öğrenmesine olanak sağlar.

Bu özellik varsayılan olarak iOS 13 çalıştıran tüm iPhone'larda ve iPad'lerde etkin hale geldiğinden bu özelliği kaldırmak isterseniz:

İPhone: Ayarlar → Safari → Sahte Web Sitesi Uyarısını Kapat

MacOS: Safari → Tercihler → Güvenlik → Sahte Web Sitesi Uyarısını Kapat

[1] Haber ayrıntılarına buradan ulaşabilirsiniz.

Haber Yazısı 2

KISITLANMIŞ KULLANICILARA ROOT YETKİSİNDE KOMUT YÜRÜTMEYE İZİN VEREN SUDO HATASI

TARİH: 14 Ekim 2019

Hemen hemen her UNIX ve Linux tabanlı işletim sistemine yüklenen temel bir komut olarak gelen en önemli ve yaygın olarak kullanılan yardımcı programlardan biri olan Sudo'da yeni bir güvenlik açığı keşfedildi.

Zafiyet, kötü niyetli kullanıcının ya da programın root yetkisiyle Linux sistemde komut yürütmesine izin vermektedir.

Sudo, "superuser do" anlamına gelir; kullanıcının, ortamları değiştirmeden farklı bir kullanıcının ayrıcalıklarıyla uygulamaları veya komutları çalıştırmasına izin veren bir sistem komutudur. Genellikle root kullanıcı olarak komutları çalıştırmak için kullanılır.

Bu nedenle, root dışında başka bir kullanıcı olarak belirli veya herhangi bir komutu çalıştırmanıza izin verir, güvenlik açığı güvenlik politikasının atlatılmasına ve root olarak sistemin kontrolünü tamamen ele geçirmenize izin verebilir. Zafiyet CVE-2019-14287 kimliğiyle takip edilmektedir.

Güvenlik açığı, en son yayınlanan 1.8.28 sürümünden önceki tüm Sudo sürümlerini etkilemektedir. Linux kullanıyorsanız, Sudo paketini mümkün olan en kısa sürede en son sürüme güncellemeniz önemle tavsiye edilir.

[2] Haber ayrıntılarına buradan ulaşabilirsiniz.

Haber Yazısı 3

FİREFOX INJECTION SALDIRILARINI ÖNLEMEK İÇİN INLINE VE EVAL JAVASCRIPTI ENGELLEDİ

TARİH: 15 Ekim 2019

Firefox’ta cross-site scripting hatasını azaltmak için Mozilla, bütün inline scriptlerini yürütmeyi ve tarayıcı statikleri, ayarları ve hassas tercihlerin ayarlanmasını sağlayan yerleşik bulunmakta olan “about:pages” için tehlikeli olabilecek eval benzeri fonksiyonları engelledi.

Tüm sayfalar HTML / JavaScript’te yazıldığından güvenlik açığı olması durumunda uzaktaki saldırganların rasgele kod girmesine ve yürütmesine izin verebilecekleri kod ekleme saldırılarına da eğilimlidirler.

Mozilla bir blog postunda about:pages alanında inline script yürütülmesine izin verilmeyerek rastgele kod yürütme ataklarını azaltmayı ve kod injection ataklarına karsı ilk savunma hattını güçlendirmeyi sağladığını söyledi.

Saldırganlar scripti direkt enjekte edemedikleri için javaScript’in eval fonksiyonunu kullanırlar ve benzer metotlarla yürütülebilir javaScript kodu enjekte ederler. Bu nedenle Mozilla, inline komut dosyalarına ek olarak, eval benzeri fonksiyonları da engellendi ve silindi.

[3] Haber ayrıntılarına buradan ulaşabilirsiniz.

Haber Yazısı 4

ADOBE BAND DIŞI GÜVENLİK YAMALARI YAYINLANDI

TARİH: 15 Ekim 2019

Adobe, çeşitli ürünlere ait 82 güvenlik zafiyeti için güvenlik yaması yayınlandı. Yayınlanan güvenlik yamasında etkilenen ürünler şunlardır:

- Adobe Acrobat and Reader
- Adobe Experience Manager
- Adobe Experience Manager Forms
- Adobe Download Manager

82 güvenlik açığından 45'i kritik olarak değerlendirildi ve bunların tümü Adobe Acrobat ve Reader'ı etkilemekte ve başarılı bir şekilde kullanılırsa geçerli kullanıcı bağlamında rasgele kod yürütülmesine neden olabilmektedir.

Etkilenen yazılımın en son sürümlerini indirmenizi ve yamaları en kısa zamanda uygulamanızı önerilmektedir.

Sisteminiz henüz yeni güncellemenin kullanılabilirliğini otomatik olarak saptamadıysa, Adobe yazılımınızda Windows, macOS, Linux ve Chrome OS için "Yardım → Güncellemeleri Denetle" seçeneğini seçerek güncellemeyi manuel olarak kurmalısınız.

[4] Haber ayrıntılarına buradan ulaşabilirsiniz.

KAYNAKÇA

  1. APPLE
  2. LINUX
  3. FIREFOX
  4. ADOBE
Penetrasyon Testi

Sızma testlerinde siber suçluların gerçek dünyada kullandığı yöntemler kullanılarak bir kurumun bilişim altyapısına sızılmaya ve ele geçirilmeye çalışılır.

Penetrasyon Testi Paketlerimiz
Penetrasyon Testi Paketlerimiz
Dışarıdan Penetrasyon Testi Pentest RemoteShell, BeyazNet Pentest Standart Pentest Exploit One, BeyazNet Pentest Pro Pentest Injection Plus, BeyazNet Pentest Pro Plus Pentest ZeroDay Enterprise
Farklılıklarımız
Farklılıklarımız
Alanında lider lisanslı test araçları (Acunetix, NetSparker, Nexpose, BurpSuite, Nessus vb.), DB Vulnerability Scanner ürünü ile veri tabanlarının içerden taranması, DNS Firewall ile DNS trafiği izlenerek zararlı yazılım bulaşmış makinaların tespiti
BeyazNet Pentest Hizmetimiz
BeyazNet Pentest Hizmetimiz
Firmamızın uzman ve sertifikalı ekibi detaylı incelemeler yaparak ağ, sistem ve yazılım katmanındaki zayıflıkları maksimum seviyede tespit etmektedir
Penetrasyon Testi
Göç'e Hazır mısınız?

Tüm alışkanlıklarımızdan, tüm bağımlılıklarımızdan, tüm sıkıntılarımızdan, daha güvenli özgür yazılımlara göç etmek için yanınızdayız.

Planlama neden çok önemli?
Planlama neden çok önemli?
Linux sistemler, Windows'tan çok farklı olduğu için ancak sağlıklı bir planlama ile göç mümkündür.
Güncelleme ve Şifre Sunucusu
Güncelleme ve Şifre Sunucusu
Göç için kurduğumuz sunucular sayesinde işletim sistemleri güncel ve güvenli kalıyor.
Linux Göç
Geçmişe dair kuşkularınız mı var?

TaliaStamp kullanarak, geçmişte edindiğiniz belgeleri damgalayabilir, böylece varlıklarını hukuki olarak garanti altına alabilirsiniz. Damgalayarak sunduğunuz belgenin inkar edilmesi halinde, bu belgenin en azından damgalandığı zamanda var olması sebebiyle belgenin geçmiş zamanda varlığını kanıtlayabilirsiniz.

TaliaStamp
TaliaBee ile cihazlarınıza hükmedin

Kullanıcı dostu bir arayüz ve diğer uygulamalarla iletişim kurabilme desteği sağlayan TaliaBee, sizin olmadığınız ortamlarda uzaktan kontrol edilebilir çıkışları sayesinde elleriniz, sensör bağlayabileceğiniz girişleri sayesinde duyularınız olur.

TaliaBee
İnternet Kontrol Altında

TaliaLog kullanarak, internet paylaşımına dair yasanın gerektirdiği kayıtları tutabilir ve internet erişiminizi istediğiniz kişilerle rahatça paylaşabilirsiniz. İnternetinizi paylaştığınız kişiler, erişim bilgileri ile kayıt altına alınır.

TaliaLog